JUCE: AudioProcessorValueTreeStateParameterAttributes Class Reference

JUCE

Public Member Functions | List of all members
AudioProcessorValueTreeStateParameterAttributes Class Reference
juce_audio_processors » utilities

Advanced properties of an AudioProcessorValueTreeState::Parameter. More...

`#include <juce_AudioProcessorValueTreeState.h>`

## Public Member Functions
JUCE_NODISCARD auto | withStringFromValueFunction (StringFromValue x) const
JUCE_NODISCARD auto | withValueFromStringFunction (ValueFromString x) const
JUCE_NODISCARD auto | withLabel (String x) const
JUCE_NODISCARD auto | withCategory (Category x) const
JUCE_NODISCARD auto | withMeta (bool x) const
JUCE_NODISCARD auto | withAutomatable (bool x) const
JUCE_NODISCARD auto | withInverted (bool x) const
JUCE_NODISCARD auto | withDiscrete (bool x) const
| Pass 'true' if this parameter has discrete steps, or 'false' if the parameter is continuous. More...
JUCE_NODISCARD auto | withBoolean (bool x) const
| Pass 'true' if this parameter only has two valid states. More...
JUCE_NODISCARD const auto & | getAudioParameterFloatAttributes () const
JUCE_NODISCARD const auto & | getDiscrete () const
JUCE_NODISCARD const auto & | getBoolean () const

## Detailed Description

Advanced properties of an AudioProcessorValueTreeState::Parameter.

The members here have the same meaning as the similarly-named member functions of AudioParameterFloatAttributes.

See also
  AudioParameterFloatAttributes, RangedAudioParameterAttributes

## Member Function Documentation

## ◆ withStringFromValueFunction()

JUCE_NODISCARD auto AudioProcessorValueTreeStateParameterAttributes::withStringFromValueFunction | ( | StringFromValue | x | ) | const

See also
  RangedAudioParameterAttributes::withStringFromValueFunction()

References withMember(), RangedAudioParameterAttributes< Derived, Value >::withStringFromValueFunction(), and gl::x.

## ◆ withValueFromStringFunction()

JUCE_NODISCARD auto AudioProcessorValueTreeStateParameterAttributes::withValueFromStringFunction | ( | ValueFromString | x | ) | const

See also
  RangedAudioParameterAttributes::withValueFromStringFunction()

References withMember(), RangedAudioParameterAttributes< Derived, Value >::withValueFromStringFunction(), and gl::x.

## ◆ withLabel()

JUCE_NODISCARD auto AudioProcessorValueTreeStateParameterAttributes::withLabel | ( | String | x | ) | const

See also
  RangedAudioParameterAttributes::withLabel()

References RangedAudioParameterAttributes< Derived, Value >::withLabel(), withMember(), and gl::x.

## ◆ withCategory()

JUCE_NODISCARD auto AudioProcessorValueTreeStateParameterAttributes::withCategory | ( | Category | x | ) | const

See also
  RangedAudioParameterAttributes::withCategory()

References RangedAudioParameterAttributes< Derived, Value >::withCategory(), withMember(), and gl::x.

## ◆ withMeta()

JUCE_NODISCARD auto AudioProcessorValueTreeStateParameterAttributes::withMeta | ( | bool | x | ) | const

See also
  RangedAudioParameterAttributes::withMeta()

References withMember(), RangedAudioParameterAttributes< Derived, Value >::withMeta(), and gl::x.

## ◆ withAutomatable()

JUCE_NODISCARD auto AudioProcessorValueTreeStateParameterAttributes::withAutomatable | ( | bool | x | ) | const

See also
  RangedAudioParameterAttributes::withAutomatable()

References RangedAudioParameterAttributes< Derived, Value >::withAutomatable(), withMember(), and gl::x.

## ◆ withInverted()

JUCE_NODISCARD auto AudioProcessorValueTreeStateParameterAttributes::withInverted | ( | bool | x | ) | const

See also
  RangedAudioParameterAttributes::withInverted()

References RangedAudioParameterAttributes< Derived, Value >::withInverted(), withMember(), and gl::x.

## ◆ withDiscrete()

JUCE_NODISCARD auto AudioProcessorValueTreeStateParameterAttributes::withDiscrete | ( | bool | x | ) | const

Pass 'true' if this parameter has discrete steps, or 'false' if the parameter is continuous.

Using an AudioParameterChoice or AudioParameterInt might be a better choice than setting this flag.

References withMember(), and gl::x.

## ◆ withBoolean()

JUCE_NODISCARD auto AudioProcessorValueTreeStateParameterAttributes::withBoolean | ( | bool | x | ) | const

Pass 'true' if this parameter only has two valid states.

Using an AudioParameterBool might be a better choice than setting this flag.

References withMember(), and gl::x.

## ◆ getAudioParameterFloatAttributes()

JUCE_NODISCARD const auto & AudioProcessorValueTreeStateParameterAttributes::getAudioParameterFloatAttributes | ( |  | ) | const

Returns
  all attributes that might also apply to an AudioParameterFloat

## ◆ getDiscrete()

JUCE_NODISCARD const auto & AudioProcessorValueTreeStateParameterAttributes::getDiscrete | ( |  | ) | const

Returns
  'true' if this parameter has discrete steps, or 'false' if the parameter is continuous.

## ◆ getBoolean()

JUCE_NODISCARD const auto & AudioProcessorValueTreeStateParameterAttributes::getBoolean | ( |  | ) | const

Returns
  'true' if this parameter only has two valid states.

The documentation for this class was generated from the following file:

- juce_AudioProcessorValueTreeState.h